> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Refs

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /repos/{owner}/{repo}/git/matching-refs/{ref}`](https://docs.github.com/enterprise-cloud@latest/rest/git/refs#list-matching-references) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List matching references
* [`GET /repos/{owner}/{repo}/git/ref/{ref}`](https://docs.github.com/enterprise-cloud@latest/rest/git/refs#get-a-reference) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get a reference
* [`POST /repos/{owner}/{repo}/git/refs`](https://docs.github.com/enterprise-cloud@latest/rest/git/refs#create-a-reference) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Create a reference
* [`PATCH /repos/{owner}/{repo}/git/refs/{ref}`](https://docs.github.com/enterprise-cloud@latest/rest/git/refs#update-a-reference) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Update a reference
* [`DELETE /repos/{owner}/{repo}/git/refs/{ref}`](https://docs.github.com/enterprise-cloud@latest/rest/git/refs#delete-a-reference) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete a reference
